#---------------------------------------------------------
# This Datapack was made by CommandGeek
# Please do not copy or credit this as your own work!
# Youtube: www.youtube.com/CommandGeek
#---------------------------------------------------------

# Growing Slimes

execute as @e[type=slime,tag=!new_slime] run function silly_01:slime_grow

# Baguettes

execute as @a at @s if entity @s[nbt={SelectedItem:{id:"minecraft:structure_void"}}] unless data entity @s SelectedItem.tag.CustomModelData run function silly_01:baguette/replace_baguette_mainhand
        
execute as @a at @s if entity @s[nbt={Inventory:[{Slot:-106b, id:"minecraft:structure_void"}]}] unless data entity @s Inventory[{Slot:-106b}].tag.CustomModelData run function silly_01:baguette/replace_baguette_offhand
        
# Flying Pigs

execute as @e[type=pig,tag=!no_fly_pig,tag=!fly_pig] if predicate silly_01:chance_50 run tag @s add fly_pig
tag @e[type=pig,tag=!fly_pig,tag=!no_fly_pig] add no_fly_pig

execute as @e[type=pig,tag=fly_pig,nbt=!{NoGravity:1b}] run data modify entity @s NoGravity set value 1b

execute as @e[type=pig,tag=fly_pig,tag=!flying_pig] at @s unless block ~ ~-1 ~ air run tp @s ~ ~0.1 ~
execute as @e[type=pig,tag=fly_pig,tag=!flying_pig] at @s unless block ~ ~-2 ~ air run tp @s ~ ~0.1 ~
execute as @e[type=pig,tag=fly_pig,tag=!flying_pig] at @s if block ~ ~-2.1 ~ air run tp @s ~ ~-0.1 ~
    
execute at @e[type=pig,tag=fly_pig] run particle cloud ~ ~-0.3 ~ 0.4 0.2 0.4 0 2

effect give @e[type=pig,tag=flying_pig] minecraft:levitation 1 10 true

# Healing TNT

execute as @e[type=tnt,nbt={Fuse:70s}] if predicate silly_01:chance_70 at @s run function silly_01:healing_tnt
    
# Reverse Arrow


execute as @e[type=arrow,tag=!tagged_arrow] store result entity @s Motion[0] double -1 run data get entity @s Motion[0]
execute as @e[type=arrow,tag=!tagged_arrow] store result entity @s Motion[1] double -1 run data get entity @s Motion[1]
execute as @e[type=arrow,tag=!tagged_arrow] store result entity @s Motion[2] double -1 run data get entity @s Motion[2]
tag @e[type=arrow,tag=!tagged_arrow] add tagged_arrow

# Cheese

execute as @e[type=item,nbt={Item:{id:"minecraft:jigsaw"}}] unless data entity @s Item.tag.CustomModelData run scoreboard players add @s Silly01Cheese 1
execute as @e[type=item,nbt={Item:{id:"minecraft:jigsaw"}},scores={Silly01Cheese=200..}] unless data entity @s Item.tag.CustomModelData at @s run function silly_01:cheese/cheese_aged
    
execute as @a at @s if entity @s[nbt={SelectedItem:{id:"minecraft:chain_command_block"}}] unless data entity @s SelectedItem.tag.CustomModelData run function silly_01:cheese/replace_cheese_mainhand
        
execute as @a at @s if entity @s[nbt={Inventory:[{Slot:-106b, id:"minecraft:chain_command_block"}]}] unless data entity @s Inventory[{Slot:-106b}].tag.CustomModelData run function silly_01:cheese/replace_cheese_offhand

execute as @e[type=item,nbt={Item:{id:"minecraft:bread"}}] unless data entity @s Item.tag.CustomModelData at @s if entity @e[type=item,distance=..1,nbt={Item:{id:"minecraft:pumpkin_pie",tag:{CustomModelData:1}}}] run function silly_01:cheese/cheese_sandwich

# Exploding Cake

# execute as @a[scores={Silly01EatCake=1..}] at @s run summon firework_rocket ^ ^ ^2 {LifeTime:2,FireworksItem:{id:firework_rocket,Count:1,tag:{Fireworks:{Explosions:[{Type:0,Trail:1,Colors:[I;11743532,15790320]}],Flight:1}}}}

execute as @a[scores={Silly01EatCake=1..}] if predicate silly_01:chance_20 at @s run summon tnt ^ ^ ^2
scoreboard players set @a[scores={Silly01EatCake=1..}] Silly01EatCake 0